
clear
set more off

*use "D:\Dropbox\JB_GK_ST\AEJ Policy Referee\Data and Code\Data\Univ_data.dta"
use "$data\F1_scatter_data.dta"
*cd "D:\Dropbox\JB_GK_ST\AEJ Policy Referee\Data and Code\Output"
cd "$output"


************************************************************************************************


** Get avg test score
foreach var in satmt75{
egen m_`var' = mean(`var'), by(unitid)
replace `var'=m_`var'
drop m_`var'
}


gen ACT_school=inlist(stabb,"AL","HI","MN","MO","NC","NV","SC","WI")
replace ACT_school=1 if inlist(stabb,"WY","CO","KY","LA","MS","TN","UT")

** Scatter with avg test score
gen Public_Research=(sector==1 & ccbasic>14 & ccbasic<18)
gen Pvt_Research=(sector==2 & ccbasic>14 & ccbasic<18)
gen Public_nonResearch=(sector==1) & Public_Research==0
gen Pvt_nonResearch=(sector==2) & Pvt_Research==0

gen title_graph=""
replace title_graph="GTech" if unitid==139755
replace title_graph="Indiana" if unitid==151351
replace title_graph="Iowa St" if unitid==153603
replace title_graph="MSU" if unitid==171100
replace title_graph="Ohio St" if unitid==204796
replace title_graph="Penn St" if unitid==214777
replace title_graph="Purdue" if unitid==243780
replace title_graph="Stony Brook" if unitid==196097
replace title_graph="SUNY" if unitid==196088
replace title_graph="TexasA&M" if unitid==228723
replace title_graph="Austin" if unitid==228778
replace title_graph="Arizona" if unitid==104179
replace title_graph="Berkeley" if unitid==110635
replace title_graph="Davis" if unitid==110644
replace title_graph="Irvine" if unitid==110653
replace title_graph="UCLA" if unitid==110662
replace title_graph="UCSD" if unitid==110680
replace title_graph="UCSB" if unitid==110705
replace title_graph="Colorado" if unitid==126614
replace title_graph="Florida" if unitid==134130
replace title_graph="Iowa" if unitid==153658
replace title_graph="Kansas" if unitid==155317
replace title_graph="Maryland" if unitid==163286
replace title_graph="Michigan" if unitid==170976
replace title_graph="Minnesota" if unitid==174066
replace title_graph="Missouri" if unitid==178396
replace title_graph="UNC" if unitid==199120
replace title_graph="Oregon" if unitid==209551
replace title_graph="Pitts" if unitid==215293
replace title_graph="UVA" if unitid==234076
replace title_graph="Washington" if unitid==236948
replace title_graph="Wisconsin" if unitid==240444
replace title_graph="UIUC" if unitid==145637
replace title_graph="Rutgers" if unitid==186380


replace title_graph="USC" if unitid==123961
replace title_graph="GWU" if unitid==131469
replace title_graph="BU" if unitid==164988
replace title_graph="Cornell" if unitid==190415
replace title_graph="NYU" if unitid==193900
replace title_graph="Syracuse" if unitid==196413
replace title_graph="NEastern" if unitid==167358
replace title_graph="CUNY" if unitid==999999
replace title_graph="Miami" if unitid==135726
replace title_graph="ASU" if unitid==104151
replace title_graph="Oregon St" if unitid==221838
replace title_graph="Wayne St" if unitid==172644
replace title_graph="Minot" if unitid==200253
replace title_graph="Lake Sup" if unitid==170639
replace title_graph="Hawaii" if unitid==141574
replace title_graph="San Francisco" if unitid==122597


replace satmt75=800  if satmt75==. & actmt75==36
replace satmt75=790  if satmt75==. & actmt75==35
replace satmt75=775  if satmt75==. & actmt75==34
replace satmt75=750  if satmt75==. & actmt75==33
replace satmt75=725  if satmt75==. & actmt75==32
replace satmt75=700  if satmt75==. & actmt75==31
replace satmt75=675  if satmt75==. & actmt75==30
replace satmt75=655  if satmt75==. & actmt75==29
replace satmt75=635  if satmt75==. & actmt75==28
replace satmt75=615  if satmt75==. & actmt75==27
replace satmt75=595  if satmt75==. & actmt75==26
replace satmt75=575  if satmt75==. & actmt75==25
replace satmt75=560  if satmt75==. & actmt75==24
replace satmt75=545  if satmt75==. & actmt75==23
replace satmt75=525  if satmt75==. & actmt75==22
replace satmt75=505  if satmt75==. & actmt75==21
replace satmt75=485  if satmt75==. & actmt75==20
replace satmt75=470  if satmt75==. & actmt75==19
replace satmt75=440  if satmt75==. & actmt75==18
replace satmt75=410  if satmt75==. & actmt75==17
replace satmt75=385  if satmt75==. & actmt75==16
replace satmt75=360  if satmt75==. & actmt75==15
replace satmt75=325  if satmt75==. & actmt75==14
replace satmt75=285  if satmt75==. & actmt75==13
replace satmt75=255  if satmt75==. & actmt75==12


replace satmt75=800   if ACT_school==1 &  actmt75==36
replace satmt75=790   if ACT_school==1 &  actmt75==35
replace satmt75=775   if ACT_school==1 &  actmt75==34
replace satmt75=750   if ACT_school==1 &  actmt75==33
replace satmt75=725   if ACT_school==1 &  actmt75==32
replace satmt75=700   if ACT_school==1 &  actmt75==31
replace satmt75=675   if ACT_school==1 &  actmt75==30
replace satmt75=655   if ACT_school==1 &  actmt75==29
replace satmt75=635   if ACT_school==1 &  actmt75==28
replace satmt75=615   if ACT_school==1 &  actmt75==27
replace satmt75=595   if ACT_school==1 &  actmt75==26
replace satmt75=575   if ACT_school==1 &  actmt75==25
replace satmt75=560   if ACT_school==1 &  actmt75==24
replace satmt75=545   if ACT_school==1 &  actmt75==23
replace satmt75=525   if ACT_school==1 &  actmt75==22
replace satmt75=505   if ACT_school==1 &  actmt75==21
replace satmt75=485   if ACT_school==1 &  actmt75==20
replace satmt75=470   if ACT_school==1 &  actmt75==19
replace satmt75=440   if ACT_school==1 &  actmt75==18
replace satmt75=410   if ACT_school==1 &  actmt75==17
replace satmt75=385   if ACT_school==1 &  actmt75==16
replace satmt75=360   if ACT_school==1 &  actmt75==15
replace satmt75=325   if ACT_school==1 &  actmt75==14
replace satmt75=285   if ACT_school==1 &  actmt75==13
replace satmt75=255   if ACT_school==1 &  actmt75==12



label var China "Chinese"


foreach country in China{


egen `country'_avg=mean(`country') if year>2009 & year<2016, by(unitid)
label var `country'_avg "`: variable label `country'' Students"


foreach var in satmt75{

twoway (scatter `country'_avg `var' if Public_Research==1 , mlabel(title_graph)  mlabposition(9)) (scatter `country'_avg `var' if Pvt_Research==1, mlabel(title_graph) msymbol(square_hollow)  mlabposition(9)) (scatter `country'_avg `var' if Public_nonResearch==1, mlabel(title_graph)  mlabposition(9)) (scatter `country'_avg `var' if Pvt_nonResearch==1, mlabel(title_graph) msymbol(square_hollow) mlabposition(9)) if `var'!=., legen(order(1 "Public Research" 2 "Private Research" 3 "Public non Research" 4 "Private non Research")) scheme(s1color)
graph export `var'_`country'_avg_april2018.png, replace width(1200)

}


}


