clear
set more off

use "$data\Univ_data.dta"

cd "$output"

***************************************************************************************************************************

*** Summary Statistics

local sumvars="ENROLL_FRESH_NON_RES_ALIEN_DEG IN_STATE_FRESHMEN AMERICAN_OOS r_state_ap r_tuitionrev r_CHRG_FRESH_TUITION_OUT_STATE r_CHRG_FRESH_PUBLIC_TUITION FRESH_SAT_I_V_25_PCTL FRESH_SAT_I_M_25_PCTL share_approp sd_share_approp"


gen type=0
replace type=1 if Research==1
replace type=2 if AAU==1
replace type=3 if nonResearch==1
egen sd_share_approp=sd(share_approp), by(type year)
label var sd_share_approp "Std Dev of Share of State Appropriations"


*****************************

putexcel set summary.xls, replace
putexcel A1=("2007")

tabstat `sumvars' if Research==1 & year==2007, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel B1=("Research")
putexcel B2=matrix(temp)

tabstat `sumvars' if AAU==1 & year==2007, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel C1=("AAU")
putexcel C2=matrix(temp)

tabstat `sumvars' if nonResearch==1 & year==2007, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel D1=("NonResearch")
putexcel D2=matrix(temp)


local i = 2

foreach var of varlist `sumvars' {
  local varlabel : variable label `var'
  putexcel A`i'= ("`varlabel'")
  local i = `i' + 1 
}

local i=`i'+1
putexcel A`i'=("2012")
local i=`i'+1

tabstat `sumvars' if Research==1 & year==2012, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel B`i'=matrix(temp)

tabstat `sumvars' if AAU==1 & year==2012, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel C`i'=matrix(temp)

tabstat `sumvars' if nonResearch==1 & year==2012, s(mean) f(%10.0fc) c(s) save
tabstatmat temp
matrix temp = temp'
putexcel D`i'=matrix(temp)

foreach var of varlist `sumvars' {
  local varlabel : variable label `var'
  putexcel A`i'= ("`varlabel'")
  local i = `i' + 1 
}

**** Number of Observations
local i=`i'+1
putexcel A`i'="Number of Universities"
egen countRes=count(Research) if Research==1 & year==2007
summ countRes
putexcel B`i'=`r(mean)'

egen countAAU=count(AAU) if AAU==1 & year==2007
summ countAAU
putexcel C`i'=`r(mean)'

egen countNon=count(nonResearch) if nonResearch==1 & year==2007
summ countNon
putexcel D`i'=`r(mean)'
