

clear
set more off
use "$data\Univ_data_Pvt.dta"
cd "$output"

*************
local ASC_enroll = "foreign_fresh IN_STATE_FRESHMEN AMERICAN_OOS FRESH_MEN_WOMEN_TOT_ENR"

************************************************************************
*** Figure out "balanced" - in the sense - within a year, the same number of universities report all 3 enrollment categories:
gen flag=0
foreach data in Delta ASC{
	foreach dep_vars in  test enroll tuition r_tuitionrev tuition_rev expenditure_vars enroll_is enroll_share expenditure_pc{
			gen `data'_`dep_vars'_flag=0
			replace flag=0
			foreach i in ``data'_`dep_vars''{
				replace flag=1 if l_`i'==.
			}
			replace `data'_`dep_vars'_flag=1 if flag==1
	}
}

gen l_state_app_at_state=log(nominal_approp)
local ivs="l_state_app_at_state"

local ASC_enroll = "foreign_fresh"

*** Logs
foreach indep_var in state_ap{
	foreach data in ASC{
		foreach dep_vars in enroll{
			local k=0
			foreach j in Research   AAU nonResearch  {
					preserve
					keep if `j'==1
					sort UnitID year
					foreach i in ``data'_`dep_vars''{
						foreach iv in `ivs'{

							xtreg l_`i'  `iv' l_population y1-y17 [w=weight], fe cluster(unitid)  
							
							if `k'==0{
								outreg2 `iv' l_population  using IV_`dep_vars'_`indep_var'_`data'_Pvt.xls, keep(`iv' l_population) replace cttop("`: variable label `i''") addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
							else{
								outreg2 `iv' l_population  using IV_`dep_vars'_`indep_var'_`data'_Pvt.xls, keep(`iv' l_population)  append cttop("`: variable label `i''")  addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
							

														
							local k=1
							
							
						
						}
					}
					
					restore
				}

				
			}
		}
	}


	

*** Levels Enrollment on Log Appropriations	
foreach indep_var in state_ap{
	foreach data in ASC{
		foreach dep_vars in enroll{
			local k=0
			foreach j in Research   AAU nonResearch  {
					preserve
					keep if `j'==1
					sort unitid year
					foreach i in ``data'_`dep_vars''{
						foreach iv in `ivs'{
							

							
							xtreg `i'  `iv' l_population y1-y17 [w=weight], fe cluster(unitid)  
							
							if `k'==0{
								outreg2 `iv' l_population  using IV_`dep_vars'_`indep_var'_`data'_level_Pvt.xls, keep(`iv' l_population) replace cttop("`: variable label `i''") addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
							else{
								outreg2 `iv' l_population  using IV_`dep_vars'_`indep_var'_`data'_level_Pvt.xls, keep(`iv' l_population)  append cttop("`: variable label `i''")  addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
							

														
							local k=1
							
							
						
						}
					}
					
					restore
				}

				
			}
		}
	}




