clear
set more off


use "$data\Univ_data.dta"
cd "$output"

***************************************************************************************************************************

local ASC_enroll_is = "IN_STATE_FRESHMEN"

***********************************
*** Find balanced sample - within a year, the same number of universities report all 3 enrollment categories:
gen flag=0
foreach data in ASC{
	foreach dep_vars in enroll_is{
			gen `data'_`dep_vars'_flag=0
			replace flag=0
			foreach i in ``data'_`dep_vars''{
				replace flag=1 if l_`i'==.
			}
			replace `data'_`dep_vars'_flag=1 if flag==1
	}
}


**** Enrollment
foreach indep_var in AMERICAN_OOS{
	foreach data in ASC{
		foreach dep_vars in enroll_is{
			local k=0
			foreach j in Research AAU nonResearch{
				preserve
				keep if `j'==1
				drop if `data'_`dep_vars'_flag==1
				sort unitid year
				foreach i in ``data'_`dep_vars''{
					
					xtreg `i' `indep_var' ENROLL_FRESH_NON_RES_ALIEN_DEG l_population y1-y17 [w=weight], fe cluster(unitid)
					if `k'==0{
						outreg2 `indep_var' ENROLL_FRESH_NON_RES_ALIEN_DEG  using crowdout_`dep_vars'_`indep_var'_`data'.xls, keep(`indep_var' ENROLL_FRESH_NON_RES_ALIEN_DEG l_population) replace cttop("`: variable label `i''")  se asterisk(se) label bdec(3) sdec(3)
					}
					else{
						outreg2 `indep_var' ENROLL_FRESH_NON_RES_ALIEN_DEG  using crowdout_`dep_vars'_`indep_var'_`data'.xls, keep(`indep_var' ENROLL_FRESH_NON_RES_ALIEN_DEG l_population)  append cttop("`: variable label `i''")  se asterisk(se) label bdec(3) sdec(3)
					}
					local k=1
					
								
					
				}

				restore
			}
		}
	}
}
